Stages¶
Operations on stages. Available on the client as client.stages.
stages.list¶
async def list(scenario_guid: str) -> list[StageResponseDto]
List the stages of a scenario.
REST operation: GET /sympheny-app/scenarios/{scenarioGuid}/stages
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
Returns: list of StageResponseDto
async with AsyncSympheny(username, password) as client:
stages = await client.stages.list(scenario_guid)
with Sympheny(username, password) as client:
stages = client.stages.list(scenario_guid)
stages.create¶
async def create(scenario_guid: str, request: StageRequestDto) -> StageResponseDto
Create a new stage in a scenario.
REST operation: POST /sympheny-app/scenarios/{scenarioGuid}/stages
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
request |
StageRequestDto |
yes | Request body. |
Returns: StageResponseDto
async with AsyncSympheny(username, password) as client:
stage = await client.stages.create(scenario_guid, request)
with Sympheny(username, password) as client:
stage = client.stages.create(scenario_guid, request)
stages.get¶
async def get(stage_guid: str) -> StageResponseDto
Get stage details.
REST operation: GET /sympheny-app/scenarios/stages/{guid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
stage_guid |
str |
yes | GUID of the stage. |
Returns: StageResponseDto
async with AsyncSympheny(username, password) as client:
stage = await client.stages.get(stage_guid)
with Sympheny(username, password) as client:
stage = client.stages.get(stage_guid)
stages.update¶
async def update(scenario_guid: str, stage_guid: str, request: StageResponseDto) -> StageResponseDto
Update a stage.
REST operation: PUT /sympheny-app/scenarios/{scenarioGuid}/stages/{stageGuid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
stage_guid |
str |
yes | GUID of the stage. |
request |
StageResponseDto |
yes | Request body. |
Returns: StageResponseDto
async with AsyncSympheny(username, password) as client:
stage = await client.stages.update(scenario_guid, stage_guid, request)
with Sympheny(username, password) as client:
stage = client.stages.update(scenario_guid, stage_guid, request)
stages.delete¶
async def delete(scenario_guid: str, stage_guid: str) -> None
Delete a stage.
REST operation: DELETE /sympheny-app/scenarios/{scenarioGuid}/stages/{stageGuid}
Parameters
| Name | Type | Required | Description |
|---|---|---|---|
scenario_guid |
str |
yes | GUID of the scenario. |
stage_guid |
str |
yes | GUID of the stage. |
Returns: None
async with AsyncSympheny(username, password) as client:
await client.stages.delete(scenario_guid, stage_guid)
with Sympheny(username, password) as client:
client.stages.delete(scenario_guid, stage_guid)